<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_bc2b2cbee209b" . "1cad0873479a8f" . "d921a" => base64_decode("L3NjaGVtYS9" . "zY2hlbWEucG" . "hw"), "_edc5e56d0d74937af4aa39a" . "12b4e62f4" => base64_decode("MDAuM" . "DA="), "_98080012c02491a0c0c" . "f9af5c977f3c7" => base64_decode("U2NoZ" . "W1hIG" . "ZpbGU" . "6IA=="), "_3c4298ad118f03549387eda8af85975" . "0" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbnN0" . "YWxsZWQ="), "_4e804c3c659ffa92709458081" . "742376b" => base64_decode("Q3JlYXRpbmcgc2" . "NoZW1h"), "_09fd03941a048e1f28e8231" . "89007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW50IHZlcn" . "Npb24gaXMgJw=="), "_c1bf7b7ebd1ab843" . "1a8561d762db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3Rh" . "bGxlZC4gQ2Fubm90IHVwZGF0ZQ=="), "_e608e5b5c4c34a67ba9" . "7ef84c1e16199" => base64_decode("J" . "w" . "=" . "="), "_afa8b786a0282957b" . "c5e6c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVt" . "YSBjcmVhdGlvbg=="), "_0a441bddac7bebad7a9858a0df" . "adcd90" => base64_decode("MDEuM" . "DE="), "_98587fc188f350370f03d5" . "4707c587e1" => base64_decode("aXNfcmVhZGFib" . "GU="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_3c4298ad" . "118f03549" . "387eda8af" . "859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c1bf7b7ebd1ab8431a8561d762d" . "b1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bc2b2cbee209b1cad0873479a" . "8fd921a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_98587fc188f350370f03d5" . "4707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_98080012c02491a0c0cf9af5c977f3" . "c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4e804c3c659ffa927" . "09458081742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0a441bddac7bebad7" . "a9858a0dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_09fd03941a0" . "48e1f28e8231" . "89007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e608e5b5c4c34a67ba97e" . "f84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_afa8b786a02829" . "57bc5e6c82eb5ee" . "aba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_edc5e56d0d74937af4aa39a12b4e" . "62f4"]);
        }
    }
}